@import url('https://fonts.googleapis.com/css2?family=Jost:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Baskervville+SC&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

/*------- Common Classes Start -------*/

section{
    padding: 100px 200px;
}

.flex{
    display: flex;
    align-items: center;
    justify-content: center;
    color: whitesmoke;
}

article{
    min-height: 50vh;
    padding-top: 7rem;
    background: linear-gradient(rgb(0, 128, 128, 1), rgba(0, 128, 128, 0.5)), url(../assets/home6.jpg) center/cover no-repeat;
    flex-direction: column;
    text-align: center;
}

.title a{
    text-decoration: none;
    color: whitesmoke;
}

.title a:hover{
    color: black;
    transition: all 0.5s ease-in-out;
}

.title{
    font-family: "Poppins", sans-serif;
}

.title h2{
    background: rgb(248, 246, 246, 0.5);
    padding: 1px;
    font-size: 30px;
    font-weight: 300;
    border-radius: 3px;
}

#circle-1{
    height: 120px;
    width: 120px;
    box-sizing: border-box;
    border: 8px solid teal;
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    right: 0;
    left: -120px;
    border-radius: 50%;
    background-color: transparent;
    animation: move1 1.5s infinite;
}

@keyframes move1{
    50%{
        left: 120px;
        z-index: 0;
    }

    51%{
        z-index: 2;
    }

    100%{
        left: -120px;
        z-index: 2;
    }
}

#circle-2{
    height: 120px;
    width: 120px;
    background-color: teal;
    position: absolute;
    margin: auto;
    top: 0;
    bottom: 0;
    left: 120px;
    right: 0;
    border-radius: 50%;
    animation: move2 1.5s infinite;
}

@keyframes move2{
    50%{
        left: -120px;
    }

    100%{
        left: 120px;
    }
}
#preloader{
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: #fff; /* Adjust based on your design */
    display: flex;
    justify-content: center;
    align-items: center;
}

/*------- Common Classes End -------*/

/*------ Header Section Start -------*/

header{
    z-index: 999;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px 200px;
    transition: 0.5s ease;
}

header.sticky{
    background: teal;
}

header .brand{
    color: #d3d3d3;
    font-size: 3em;
    font-weight: 700;
    text-transform: uppercase;
    text-decoration: none;
}

header .navigation{
    position: relative;
}

header .navigation .navigation-items a{
    position: relative;
    color: #d3d3d3;
    font-size: 1.2em;
    font-weight: 500;
    text-decoration: none;
    margin-left: 30px;
    transition: 0.3s ease;
}

header .navigation .navigation-items a:before{
    content: '';
    position: absolute;
    background: #d3d3d3;
    width: 0;
    height: 3px;
    bottom: 0;
    left: 0;
    transition: 0.3s ease;
}

header .navigation .navigation-items a:hover:before{
    width: 100%;
}

/*------ Header Section End -------*/

/*------- Video Slider Start -------*/

.home{
    position: relative;
    width: 100%;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    flex-direction: column;
    background: blanchedalmond;
}

.home:before{
    z-index: 777;
    content: '';
    position: absolute;
    background: rgba(0, 128, 128, 0.7);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}

.home .content{
    z-index: 888;
    color: #d3d3d3;
    width: 70%;
    margin-top: 50px;
    display: none;
}

.home .content.active{
    display: block;
}

.home .content h1{
    font-size: 4em;
    font-weight: 900;
    text-transform: uppercase;
    letter-spacing: 5px;
    line-height: 75px;
    margin-bottom: 40px;
}

.home .content h1 span{
    font-size: 1.2em;
    font-weight: 600;
}

.home .content p{
    margin-bottom: 65px;
}

.home .content a{
    background: #d3d3d3;
    padding: 15px 35px;
    color: teal;
    font-size: 1.1em;
    font-weight: 500;
    text-decoration: none;
    border-radius: 5px;
}

.home .content a:hover{
    background: teal;
    color: #d3d3d3;
    transition: all 0.3s ease;
    font-size: 1.3em;
}

.home .media-icons{
    z-index: 888;
    position: absolute;
    right: 30px;
    display: flex;
    flex-direction: column;
    transition: 0.5s ease;
}

.home .media-icons a{
    color: #d3d3d3;
    font-size: 1.6em;
}

.home .media-icons a:not(:last-child){
    margin-bottom: 20px;
}

.home .media-icons a:hover{
    transform: scale(1.3);
}

.home video{
    z-index: 000;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.slider-navigation{
    z-index: 888;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateY(80px);
    margin-bottom: 12px;
}

.slider-navigation .nav-btn{
    width: 12px;
    height: 12px;
    background: #d3d3d3;
    border-radius: 50%;
    cursor: pointer;
    box-shadow: 0 0 2px rgba(255,255,255,0.5);
    transition: 0.3s ease;
}

.slider-navigation .nav-btn.active{
    background: whitesmoke;
}

.slider-navigation .nav-btn:not(:last-child){
    margin-right: 20px;
}

.slider-navigation .nav-btn:hover{
    transform: scale(1.2);
}

.video-slide{
    position: absolute;
    width: 100%;
    clip-path: circle(0% at 0 50%);
}

.video-slide.active{
    clip-path: circle(150% at 0 50%);
    transition: 2s ease;
    transition-property: clip-path;
}

/*------- Video Slider End -------*/

/*------- Card Container Index Page Start -------*/

.index_card{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 80px;
}

.card-design{
    box-shadow: 0 4px 10px 5px rgba(0,0,0,0.2);
    transition: 0.3s;
    border-radius: 5px;
}
  
.card-design:hover{
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
}

.card-container{
    padding: 2px 16px;
}

.card-container h4{
    color: teal;
    font-size: 1.3rem;
}

.card-container a{
    text-decoration: none;
    color: teal;
    background-color: #d3d3d3;
    padding: 6px;
    border-radius: 5px;
    font-size: 1.1rem;
}

.card-container a:hover{
    color: #d3d3d3;
    background-color: teal;
    transition: all 0.5s ease-in-out;
}

/*------- Card Container Index Page End -------*/

/*------- About Us Page Start -------*/

.contain{
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 2rem;
    width: 100%;
}

.lead{
    font-size: 1.1rem;
    line-height: 2;
    text-align: justify;
}

.about-content-wrapper{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-column-gap: 3rem;
    margin: 3rem 0;
}

.about-content-wrapper h2 span{
    color: teal;
    font-family: "Poppins", sans-serif;
}

.about-content-wrapper ul{
    list-style: none;
}

.about-content-wrapper ul .icons{
    display: flex;
    align-items: center;
    margin: 1rem 0;
}

.about-content-wrapper ul .icons i{
    background-color: teal;
    padding: 0.8rem;
    border-radius: 50%;
    color: whitesmoke;
}

.about-content-wrapper ul .icons i:hover{
    background-color: rgba(0, 128, 128, 0.8);
}

.about-content-wrapper ul p{
    margin-left: 1rem;
}

.agency-right-side .img{
    position: relative;
}

.agency-right-side .img img{
    width: 75%;
    height: 100%;
    object-fit: cover;
    margin: 0 auto;
    display: block;
    transition: 0.5s ease-in;
}

.agency-right-side .img::after{
    content: "";
    position: absolute;
    top: 15px;
    left: 48px;
    bottom: 0;
    right: 0;
    background: gray;
    width: 75%;
    height: 100%;
    z-index: -2;
}

/*.agency-right-side .img img:hover{
    transform: scale(0.95);
}*/

.heading-normal-txt{
    font-size: 1.1rem;
    letter-spacing: 1px;
    color: gray;
}

.headings{
    font-size: 3rem;
    font-family: "Poppins", sans-serif;
    padding-bottom: 2rem;
    letter-spacing: 2px;
}

/*------- About Us Page End -------*/

/*------- Contact Us Page Start -------*/

.contact-text{
    font-weight: 300;
    opacity: 0.9;
}

.email:hover{
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

.contact-body{
    max-width: 1320px;
    margin: 0 auto;
    padding: 0 1rem;
}

.contact-info{
    margin: 2rem 0;
    text-align: center;
}

.contact-info span{
    display: block;
}

.contact-info div{
    margin: 0.8rem 0;
    padding: 1rem;
}

.contact-info span .fas{
    font-size: 2rem;
    padding-bottom: 0.9rem;
    color: teal;
}

.contact-info span .fas:hover{
    color: rgba(0, 128, 128, 0.8);
    cursor: pointer;
}

.contact-info div span{
    font-weight: 500;
    font-size: 1.1rem;
}

.contact-info .contact-text{
    padding-top: 0.4rem;
}

.contact-form{
    padding-bottom: 30px;
}

.contact-form form{
    padding-bottom: 1rem;
}

input,textarea{
    color: teal;
}

.form-control:focus{
    box-shadow: 0 0 6px -3px rgba(0, 128, 128, 0.7);
}

.form-control{
    width: 100%;
    border: 1.5px solid #d3d3d3;
    border-radius: 5px;
    padding: 0.7rem;
    margin: 0.6rem 0;
    font-family: "Poppins", sans-serif;
    font-size: 1rem;
    outline: 0;
}

.contact-form form div{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 0.6rem;
}

.send-btn{
    font-family: "Poppins", sans-serif;
    font-size: 1rem;
    text-transform: uppercase;
    color: teal;
    background: #d3d3d3;
    border: none;
    border-radius: 5px;
    padding: 0.7rem 1.5rem;
    cursor: pointer;
    transition: all 0.4s ease;
}

.send-btn:hover{
    color: #d3d3d3;
    background: teal;
}

.contact-form > div img{
    width: 85%;
}

.contact-form > div{
    margin: 0 auto;
    text-align: center;
}

/*------- Contact Us Page Start -------*/

/*------- Testimonials Section Start -------*/

.section_container{
    text-align: center;
}

.section_container h2{
    font-size: 1.5rem;
    font-weight: 600;
    color: teal;
}

.section_container h1{
    position: relative;
    margin-bottom: 2rem;
    font-size: 2.5rem;
    font-weight: 600;
    color: black;
}

.feedback{
    font-family: "Merienda", cursive;
}

.section_container h1::after{
    position: absolute;
    content: "";
    left: 50%;
    bottom: 0;
    transform: translateX(-50%);
    height: 2.5px;
    width: 7rem;
    background-color: teal;
}

.section_grid{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 2rem;
}

.section_card{
    position: relative;
    isolation: isolate;
    overflow: hidden;
    padding: 5rem 2rem 2rem;
    background-color: whitesmoke;
    border-radius: 5px;
    box-shadow: 5px 5px 10px rgba(0,0,0,0.2);
    transition: 0.3s;
}

.section_card::before{
    position: absolute;
    content: "";
    top: 0;
    left: 0;
    transform: translate(-50%, -50%);
    width: 75%;
    aspect-ratio: 1;
    border-radius: 100%;
    background-color: teal;
    z-index: -1;
    transition: 0.5s;
}

.section_card span{
    position: absolute;
    top: 0;
    left: 0;
    padding: 1rem;
    font-size: 3rem;
    color: white;
}

.section_card h4{
    margin-top: 4rem;
    margin-bottom: 1rem;
    font-size: 1.5rem;
    font-weight: 600;
    color: teal;
    transition: 0.3s;
}

.section_card p{
    margin-bottom: 2rem;
    color: black;
    transition: 0.3s;
}

.section_card h5{
    font-size: 1.25rem;
    font-weight: 600;
    color: teal;
    transition: 0.3s;
}

.section_card h6{
    font-size: 1rem;
    font-weight: 400;
    color: black;
    transition: 0.3s;
}

.section_card:hover::before{
    width: 400%;
    cursor: pointer;
}

.section_card:hover :is(h4, h5){
    color: whitesmoke;
}

.section_container a{
    text-decoration: none;
}

/*------- Testimonials Section End -------*/

/*------- Blogs Section Start -------*/

.blog-body{
    display: flex;
    justify-content: center;
    align-items: center;
}

.blog-container{
    position: relative;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 50px;
    padding-top: 50px;
}

.blog-container .blog-card{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    width: 400px;
    height: 300px;
    background-color: #d3d3d3;
    border-radius: 20px;
    /*box-shadow: 0 35px 80px rgba(0, 0, 0, 0.1);*/
    transition: 0.5s;
}

.blog-container .blog-card:hover{
    height: 400px;
}

.blog-container .blog-card .imgBx{
    position: absolute;
    top: 20px;
    width: 350px;
    height: 220px;
    border-radius: 12px;
    overflow: hidden;
    transition: 0.5s;
}

.blog-container .blog-card:hover .imgBx{
    top: -70px;
    scale: 0.75;
    box-shadow: 0 15px 45px rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

.blog-container .blog-card .imgBx img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.blog-container .blog-card .blog-content{
    position: absolute;
    top: 250px;
    width: 100%;
    padding: 0 30px;
    text-align: center;
    height: 35px;
    overflow: hidden;
    text-align: center;
    transition: 0.5s;
}

.blog-container .blog-card:hover .blog-content{
    top: 150px;
    height: 250px;
    cursor: pointer;
}

.blog-container .blog-card .blog-content h2{
    font-size: 1.5rem;
    font-weight: 700;
    color: var(--clr);
}

.blog-container .blog-card .blog-content a{
    position: relative;
    top: 15px;
    display: inline-block;
    padding: 12px 25px;
    background: var(--clr);
    color: #d3d3d3;
    font-weight: 500;
    text-decoration: none;
    border-radius: 8px;
    cursor: pointer;
}

.blog-container .blog-card .blog-content a:hover{
    background-color: whitesmoke;
    color: teal;
    transition: 0.3s;
}

/*------- Blogs Section End -------*/

/*------- Service Page Start -------*/

.service-container{
    width: 100%;
}

.service-wrapper{
    padding: 5% 8%;
}

.service{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.service h1{
    color: teal;
    font-size: 3rem;
}

.service p{
    color: gray;
}

.service-cards{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 30px;
}

.service-card{
    height: 450px;
    width: 400px;
    background-color: rgba(240, 239, 237, 0.5);
    padding: 3% 8%;
    border-radius: 8px;
}

.service-card i{
    color: teal;
    margin-top: 40px;
    margin-bottom: 15px;
    font-size: 2.5rem;
}

.service-card h2{
    color: teal;
    font-size: 20px;
    margin: 10px 0;
    font-weight: 500;
}

.service-card{
    margin-top: 30px;
}

.service-card h2{
    text-transform: uppercase;
}

.service-card:hover{
    background: teal;
    transform: translateY(-8px);
    transition: all 0.5s ease-in-out;
    cursor: pointer;
}

.service-card:hover i{
    color: whitesmoke;
}

.service-card:hover h2{
    color: whitesmoke;
    text-decoration: underline;
    font-size: 25px;
}

.service-card:hover p{
    color: whitesmoke;
}

#check{
    display: none;
}

#check:checked ~ .extra-content{
    display: block;
}

label{
    display: inline-block;
    cursor: pointer;
    color: teal;
    padding: 3x;
    margin-top: 12px;
}

.extra-content{
    display: none;
}

/*------- Service Page End -------*/

/*------- Footer Section Start -------*/

.footer{
    background-color: #d3d3d3;
    padding: 10px;
}

.footer-col{
    width: 25%;
    padding: 70px, 0;
}

.footer-col h4{
    font-size: 18px;
    text-transform: capitalize;
    margin-bottom: 35px;
    font-weight: 500;
    position: relative;
}

.footer-col h4::before{
    content: '';
    position: absolute;
    left: 0;
    bottom: -10px;
    background-color: black;
    height: 2px;
    box-sizing: border-box;
    width: 50px;
}

.footer-col ul li:not(:last-child){
    margin-bottom: 10px;
}

.footer-col ul li a{
    font-size: 18px;
    text-transform: capitalize;
    color: teal;
    text-decoration: none;
    font-weight: 300;
    color: teal;
    display: block;
    transition: all 0.3s ease;
    margin-bottom: 20px;
}

.footer-col ul li a:hover{
    color: teal;
    text-decoration: underline;
    padding-left: 8px;
}

.footer-col .social-links a{
    display: inline-block;
    height: 40px;
    width: 40px;
    background-color: rgba(255,255,255,0.2);
    margin: 0 10px 10px 0;
    text-align: center;
    line-height: 40px;
    border-radius: 50%;
    color: teal;
    transition: all 0.5s ease;
}

.footer-col .social-links a:hover{
    color: #d3d3d3;
    background-color: teal;
}

.row{
    display: flex;
    flex-wrap: wrap;
}

.container{
    max-width: 1170px;
    margin: auto;
}

ul{
    list-style: none;        
}

.last-footer{
    text-align: center;
    color: #d3d3d3;
    background-color: teal;
    font-size: 1.2rem;
}

/*------- Footer Section End -------*/

/*------- On Page Scroll Animation Start -------*/

.reveal{
    position: relative;
    transform: translateY(150px);
    opacity: 0;
    transition: all 1s ease;
}

.reveal.activ{
    transform: translateY(0px);
    opacity: 1;
}

/*------- On Page Scroll Animation End -------*/

/*------- Responsive Section Start --------*/

@media(max-width: 1024px){
    header{
        padding: 12px 20px;
    }

    section{
        padding: 100px 20px;
    }

    .home .content h1{
        font-size: 3rem;
        font-weight: 700;
        text-transform: capitalize;
        line-height: 75px;
        margin-bottom: 40px;
    }

    .home .content h1 span{
        font-weight: 600;
        font-size: 0.7em;
    }

    .home .media-icons{
        right: 15px;
    }

    header .navigation{
        display: none;
    }

    header .navigation.active{
        position: fixed;
        width: 100%;
        height: 100vh;
        top: 0;
        left: 0;
        display: flex;
        justify-content: center;
        align-items: center;
        background: rgba(1, 1, 1, 0.5);
    }

    header .navigation .navigation-items a{
        color: teal;
        font-size: 1.2em;
        margin: 20px;
    }

    header .navigation .navigation-items a:before{
        background: teal;
        height: 2px;
    }

    header .navigation.active .navigation-items{
        background: #d3d3d3;
        width: 600px;
        max-width: 600px;
        margin: 20px;
        padding: 40px;
        display: flex;
        flex-direction: column;
        align-items: center;
        border-radius: 5px;
        box-shadow: 0 5px 25px rgba(1 1 1 / 20%);
    }

    .menu-btn{
        background-image: url(../assets/menu.png);
        background-size: 70px;
        background-position: center;
        width: 60px;
        height: 40px;
        cursor: pointer;
        transition: 0.3s ease;
    }

    .menu-btn.active{
        z-index: 999;
        background: url(../assets/close.png)no-repeat;
        background-size: 35px;
        background-position: center;
        transition: 0.3s ease;
    }

    .index_card{
        font-size: 10px; 
        grid-template-columns: repeat(1,1fr);
    }

    .about-content-wrapper{
        grid-template-columns: repeat(1, 1fr);
        row-gap: 20px;
    }
    
    .agency-right-side .img img{
        width: 90%;
    }

    .agency-right-side .img::after{
        top: 15px;
        left: -2px;
        bottom: 0;
        right: 0;
        width: 90%;
    }

    .service-cards{
        grid-template-columns: repeat(1,1fr);
    }

    .service-card{
        align-items: center;
        height: 600px;
    }

    .service h1{
        font-size: 2.5rem;
        text-align: center;
    }

    .description{
        text-align: center;
    }

    .section_grid{
        display: grid;
        grid-template-columns: repeat(1, 1fr);
    }

    .blog-container{
        display: grid;
        grid-template-columns: repeat(1,1fr);   
    }

    .blog-container .blog-card{
        width: 300px;
    }

    .blog-container .blog-card:hover{
        height: 450px;
    }

    .blog-container .blog-card .imgBx{
        width: 250px;
    }

    .blog-container .blog-card:hover .imgBx{
        top: -80px;
        scale: 0.65;
        box-shadow: 0 15px 45px rgba(0, 0, 0, 0.2);
    }
}

@media(max-width: 574px){
    .footer-col{
        width: 100%;
    }

    .service-card{
        width: 300px;
    }
}

@media screen and (min-width: 786px){
    .contact-info{
        display: grid;
        grid-template-columns: repeat(4, 1fr);
    }
}

@media screen and (min-width: 992px){
    .contact-form{
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        align-items: center;
    }
}

/*------- Responsive Section End --------*/